Property (JBoss Logging I18n Documentation 2.2.1.Final API)

org.jboss.logging.annotations

## Annotation Type Property

-     @Retention(value=CLASS)
       @Target(value={PARAMETER,METHOD})
       @Repeatable(value=Properties.class)
       @Documented
      public @interface Property

  Indicate that a method parameter value should be applied to a property (with a setter method) on the resultant exception object.

  If this annotation is placed on a method the name attribute becomes a required parameter and one default attribute needs to be set. The value of the default attribute is used to set the property on the resultant exception object.

  Author:
    David M. Lloyd, James R. Perkins

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `boolean` | `booleanValue` The default `boolean` value if this annotation is used on a method.
    `byte` | `byteValue` The default boolean value if this annotation is used on a method.
    `char` | `charValue` The default `byte` value if this annotation is used on a method.
    `Class<?>` | `classValue` The default `Class` value if this annotation is used on a method.
    `double` | `doubleValue` The default `double` value if this annotation is used on a method.
    `float` | `floatValue` The default `float` value if this annotation is used on a method.
    `int` | `intValue` The default `int` value if this annotation is used on a method.
    `long` | `longValue` The default `long` value if this annotation is used on a method.
    `String` | `name` The property name.
    `short` | `shortValue` The default `short` value if this annotation is used on a method.
    `String` | `stringValue` The default `String` value if this annotation is used on a method.

- - ### Element Detail

    - #### name

          public abstract String name

      The property name. If not specified, the parameter name is assumed to be the property name.

      This becomes a required attribute if this annotation is present on a method.

      Returns:
        the property name
      Default:
        ""

  - - #### booleanValue

          public abstract boolean booleanValue

      The default `boolean` value if this annotation is used on a method.
      Returns:
        the default value to use
      Default:
        false

  - - #### byteValue

          public abstract byte byteValue

      The default boolean value if this annotation is used on a method.
      Returns:
        the default value to use
      Default:
        0

  - - #### charValue

          public abstract char charValue

      The default `byte` value if this annotation is used on a method.
      Returns:
        the default value to use
      Default:
        0

  - - #### classValue

          public abstract Class<?> classValue

      The default `Class` value if this annotation is used on a method.
      Returns:
        the default value to use
      Default:
        java.lang.Object.class

  - - #### doubleValue

          public abstract double doubleValue

      The default `double` value if this annotation is used on a method.
      Returns:
        the default value to use
      Default:
        0.0

  - - #### floatValue

          public abstract float floatValue

      The default `float` value if this annotation is used on a method.
      Returns:
        the default value to use
      Default:
        0.0f

  - - #### intValue

          public abstract int intValue

      The default `int` value if this annotation is used on a method.
      Returns:
        the default value to use
      Default:
        0

  - - #### longValue

          public abstract long longValue

      The default `long` value if this annotation is used on a method.
      Returns:
        the default value to use
      Default:
        0L

  - - #### shortValue

          public abstract short shortValue

      The default `short` value if this annotation is used on a method.
      Returns:
        the default value to use
      Default:
        0

  - - #### stringValue

          public abstract String stringValue

      The default `String` value if this annotation is used on a method.
      Returns:
        the default value to use
      Default:
        ""

Copyright © 2019 JBoss by Red Hat. All rights reserved.